<?php

namespace Drupal\webform_protected_downloads;

use Drupal\Core\Entity\ContentEntityStorageInterface;
use Drupal\webform\Entity\WebformSubmission;

/**
 * Defines an interface for webform_protected_downloads entity storage class.
 */
interface WebformProtectedDownloadsStorageInterface extends ContentEntityStorageInterface {

  public function getByHash(string $hash);

  public function getByWebformSubmission(WebformSubmission $webformSubmission);

}
